/// <reference types="react" />
import { AxisProps } from "./../types/annotationTypes";
declare const marginalPointMapper: (orient: any, width: any, data: any) => any;
declare function formatValue(value: any, props: any): any;
declare const boundingBoxMax: (axisNode: any, orient: any) => number;
export default function Axis(props: AxisProps): JSX.Element;
export { marginalPointMapper, formatValue, boundingBoxMax };
